Name:           xfoil
Version:        6.97
Release:        3%{?dist}
Summary:        Subsonic Airfoil Development System

# Plotlib is LGPLv2+, the rest is GPLv2+
License:        GPLv2+ and LGPLv2+
URL:            http://web.mit.edu/drela/Public/web/xfoil/
Source0:        http://web.mit.edu/drela/Public/web/xfoil/%{name}%{version}.tar.gz
# The package does not ship a license file
Source1:        LICENSE.GPL
Source2:        LICENSE.LGPL
# Makefile variables and flags
Patch0:         xfoil6.97-makefile.patch
# Code fixes (from debian package)
Patch1:         xfoil-6.97-xfoil-fixes.patch
Patch2:         xfoil-6.97-osgen-fix.patch
Patch3:         xfoil-6.97-fix-write-after-end.patch
Patch4:         xfoil-6.97-pxplot-args.patch
# Set osmap file location
Patch5:         xfoil-6.97-default-osfile.patch

BuildRequires:  gcc-gfortran libX11-devel
Requires:       xorg-x11-fonts-misc


%description
XFOIL is an interactive program for the design and analysis of subsonic
isolated airfoils.


%prep
%setup -q -n Xfoil
%patch0 -p2
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
cp %{SOURCE1} .
cp %{SOURCE2} .


%build
export FFLAGS="%{optflags}"
export CFLAGS="%{optflags} -DDEFAULT_OSFILE=\\\"%{_datadir}/%{name}/osmap.dat\\\""

make %{?_smp_mflags} -C orrs/bin osgen
pushd orrs
./bin/osgen osmaps_ns.lst
popd
make %{?_smp_mflags} -C plotlib
make %{?_smp_mflags} -C bin


%install
%make_install -C bin BINDIR=%{_bindir}
install -Dpm 0644 orrs/osmap.dat %{buildroot}/%{_datadir}/%{name}/osmap.dat


%files
%doc LICENSE.GPL LICENSE.LGPL sessions.txt version_notes.txt xfoil_doc.txt
%{_datadir}/%{name}/
%{_bindir}/xfoil
%{_bindir}/pplot
%{_bindir}/pxplot


%changelog
* Thu Sep 12 2013 Sandro Mani <manisandro@gmail.com> - 6.97-3
- Fix license

* Thu Sep 12 2013 Sandro Mani <manisandro@gmail.com> - 6.97-2
- Add license file

* Thu Sep 12 2013 Sandro Mani <manisandro@gmail.com> - 6.97-1
- Initial package for review
